This is NOT the forum for War Commander web. For that forum, go here: https://www.kixeye.com/forum/categories/war-commander

War Commander: Rogue Assault is a new mobile title from KIXEYE. Any topics created that are not about WC:RA will be moved to the appropriate forum.

IOS / Android Minimum Requirements

2
  • DEATH_ COMMANDER
    DEATH_ COMMANDER
    Strike-force Captain
    Joined Mar 2013 Posts: 877
    I have played WC:RA on Sumsung Galaxy Tab 4 and now ITS NOT COMPATIBLE. Why is this disabled I like the performance WHY DID YOU GUYS DISABLE IT?
  • Mausam_India
    Mausam_India
    Master Tactician
    Joined Jul 2012 Posts: 2,251

    I am surprised that my phone does not supports it....!!

    I can play desktop WC using puffin on my mobile better then on desktop....still.

    I am using HTC M10

    I wish I can quit......
  • Joseph.Perez
    Joseph.Perez
    Greenhorn
    Joined Mar 2013 Posts: 1

    I have a nexus 7 and it is updated.. I can not download the game because it says '' your device is not compatible with this version''. Any help on this....

  • sana.muskan.988
    sana.muskan.988
    Minor Nuisance
    Joined May 2013 Posts: 131
    he game load adn i played for 2hr then again when i try to load game on my android phone it say ne vershion is avilabe so update it when i go to paly store it say YOUR DEVICE ISN'T COMPATIBLE WITH THIS VERSION HOW TO SOLVE MY ISSUE
  • Martin Vega
    Martin Vega
    Greenhorn
    Joined Jul 2015 Posts: 11

    So when I saw WCRA on Google I was excited to try out but then find out that my phone isn't compatible with the game and I have ZTE ZMAX Pro and I was wonder if this phone could be compatible this this game if you can look into it because I only have this phone for a month now and I also play VC.

  • abelsgmx
    abelsgmx
    Greenhorn
    Joined Feb 2014 Posts: 1

    I have a Samsung Galaxy Tab E, i can run a lot of grave games there but this isn't compatible, i prefer run games in tablets instead of smartphones de todos screen size

  • cangurojack
    cangurojack
    Greenhorn
    Joined Dec 2016 Posts: 1
    Please add MOTO G4 :(
  • Drudge08
    Drudge08
    Greenhorn
    Joined Dec 2016 Posts: 1

    **** I have 6+ and constantly get error occurred when trying to open game for first time.

  • pyaephyokyaw77
    pyaephyokyaw77
    Greenhorn
    Joined Jun 2013 Posts: 1

    Samsung note3 my phone can't play why kixeye answer to me

  • Sufian Othman
    Sufian Othman
    Greenhorn
    Joined Dec 2016 Posts: 1

    Not working on honor 6

  • Daniel. R
    Daniel. R
    Minor Nuisance
    Joined Apr 2014 Posts: 205
    CyberToad said:
    kancyr said:
    haha Motorola Not supported at all .and my Turbo 2 is equal if not better then most of those phones listed all of the phones listed 
    Ohh well 

    And kixeye the only company to ever release an app is certain phones LOL  sounds a bit dumb too me ! fck it ...
    Actually releasing a game for phone and tablets that they know work, does make sense.  It keep the people whose systems will not work from overloading the forums.   If you would like your phone or tablet added to the compatibility list, place the model number, os version here in the forums. 
    My phone: Galaxy S4 
    Model Number: GT-I9500
    Android Version 5.0.1
    Sound familiar?
    War Commander Indonesia(WCI)
  • Tom White43
    Tom White43
    Greenhorn
    Joined Dec 2016 Posts: 2

    Can this be made available for Sony xperia 3?
    Seems to work fine from outside sources, but play store say not compatible with this device?

  • Tom White43
    Tom White43
    Greenhorn
    Joined Dec 2016 Posts: 2

    Made compatible with Sony Xperia Z3 even...

  • riazmalik
    riazmalik
    Greenhorn
    Joined Dec 2016 Posts: 2

    @CM Sulaco 2 said:
    We're actively looking into adding more Android phones as we determine their performance. 

    Then please add huwaei 3C honor

  • SUPER-POWER
    SUPER-POWER
    Potential Threat
    Joined Feb 2015 Posts: 33

    HELP ME KİXEYE! My phone General Mobile Android one 4 G Why does not the game support

  • Hanx
    Hanx
    Minor Nuisance
    Joined Sep 2011 Posts: 239
    Mods are (un)surprisingly quiet on the subject now it seems. My guess is that they may have "done a deal" with Mobile Phone companies in order to "monetize" things because "The Accountants" are still in charge of Kixeye... (despite the protestations of Lou Castle that they remain a "free to play" game) ... http://venturebeat.com/2016/12/28/why-kixeye-took-its-time-making-war-commander-rogue-assault/?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed:+venturebeat/SZYF+(VentureBeat)
    I just love the idea of keeping up with changes made. Brings a new dimension to the game. :)
  • Hanx
    Hanx
    Minor Nuisance
    Joined Sep 2011 Posts: 239
    We're actively looking into adding more Android phones as we determine their performance. 
    As there are a few mllion people in the world with various devices and you have limited funds (obviously you can't possibly have every single type of phone in existence to test) why not let people "try it" on their phones and then report back to you on whether it actually works on their device.

    This, to me, makes more sense than maybe a 14 year old "tea boy" (not employed as a programmer) testing one device a day (when not making tea) to report on the device capabilities.
    (Forgive me if this is not the case, but I can't see a dedicated team even trying EVERY device on the market)
    ;)
    I just love the idea of keeping up with changes made. Brings a new dimension to the game. :)
  • Unlimited Gaming
    Unlimited Gaming
    Greenhorn
    Joined Jun 2016 Posts: 1

    Why Asus Zenfone 6 not compatible?

  • Daniel. R
    Daniel. R
    Minor Nuisance
    Joined Apr 2014 Posts: 205

    WCRA is compatible with my device. Thank you,kixeye

    War Commander Indonesia(WCI)
  • italo.souza09
    italo.souza09
    Greenhorn
    Joined Oct 2014 Posts: 10

    @Hyperius said:
    While most KIXEYE games simply have a minimum system requirement, Rogue Assault is only supported on specific devices. This is to ensure that the game's performance is on par with the excellence our players expect and the high standard to which we hold it ourselves. A list of all Supported Devices is as follows:

    iOS

    • iPhone 5, 5c, 5s 6, 6+, 6s, 6s+, SE, 7, and 7+
    • iPad Air 2, Pro, Pro 9.7, Air, Mini 3, 3, 4, and Mini 2. 

    Android

    • Pixel
    • Google Nexus 5X, 6, 6P, 9, 9 LTE, Player
    • Samsung Galaxy Note 4, 5, Note 10.1 2014 Edition, Note Edge, Note Pro 12.2, Note 5, Note 7
    • Samsung Galaxy A3, A5, A5x, A7, A8, A9 Pro, A9, Ace 4, Ace Style, Ace4 Lite, Ace4 Neo, Ace4, Active neo, Alpha, Avant
    • Samsung Galaxy C5, C7, Core Lite, Core LTE, Core Max Duos, Core Plus, Core Prime, Core, Core2
    • Samsung Galaxy E5, E7, Folder, Go Prime, Golden 2, Grand Duos, Grand Max, Grand Neo Plus, Grand Prime, Grand-Max, J1 Ace, J1 Mini, J1, J2, J3 Pro, J3, J5, J7, K Zoom, Mega 2, Mega 6.3, Mega Plus, Mega2, On5, On7
    • Samsung Galaxy S3 Neo Plus, S3 Neo, S5, S5 Active, S5 Google Play Edition, S5 K Sport, S5 LTE-A, S5 Mini, S5 Neo, S6, S6 Active, S6 Edge, S6 Edge+,S7, S7 Active, S7 Edge, Star2 Plus
    • Samsung Galaxy Tab A 10.1, Tab A 8.0, Tab A 9.7, Tab A S 8.0, Tab E 8.0, Tab E 9.6, Tab Pro 10.1 Chef Collection, Tab Pro 10.1, Tab Pro 12.2, Tab Pro 8.4, Tab Q, Tab S 8.4, Tab S2 8.0, Tab S2 9.7, Tab3 Lite 7.0, Tab3 Lite, Tab4 10.0, Tab4 10.1, Tab4 7.0, Tab4 8.0, Tab4 Active, Tab4 Nook 10.1, Tab4, TabA Plus 10.1, TabS 8.4, TabS 10.5
    • Samsung Galaxy View, W, Win2, Xcover3, Young2 Pro, Young2
    • Samsung GT, J500H/DS, SM-G355H, SM-G9198, W2016

    UPDATE: TAB4 devices have been disabled due to poor performance on these devices. Thank you for your understanding. 

    Out of these Supported devices, the game team has provided a list of Recommended Devices that they are confident will run the game at its maximum efficiency. The list of recommended devices is as follows:

    iOS

    • iPhone 5, 5c, 5s 6, 6+, 6s, 6s+, SE, 7, and 7+
    • iPad Air 2, Pro, Pro 9.7, Air, Mini 3, 3, 4, and Mini 2. 

    Android

    • Nexus 5, 5X, 6, 6P, 7, 9, 10
    • Galaxy Tab S2, 3, 4
    • Galaxy Note 3, 4, 5
    • Galaxy S3, S4, S5, S6, S7, S7 Edge

    Lenovo smartphone?
    K5 ?
    K6 ?
    C2 ?

  • newthons
    newthons
    Greenhorn
    Joined Nov 2014 Posts: 1
    Hyperius said:

    While most KIXEYE games simply have a minimum system requirement, Rogue Assault is only supported on specific devices. This is to ensure that the game's performance is on par with the excellence our players expect and the high standard to which we hold it ourselves. A list of all Supported Devices is as follows:

    iOS

    • iPhone 5, 5c, 5s 6, 6+, 6s, 6s+, SE, 7, and 7+
    • iPad Air 2, Pro, Pro 9.7, Air, Mini 3, 3, 4, and Mini 2. 

    Android

    • Pixel
    • Google Nexus 5X, 6, 6P, 9, 9 LTE, Player
    • Samsung Galaxy Note 4, 5, Note 10.1 2014 Edition, Note Edge, Note Pro 12.2, Note 5, Note 7
    • Samsung Galaxy A3, A5, A5x, A7, A8, A9 Pro, A9, Ace 4, Ace Style, Ace4 Lite, Ace4 Neo, Ace4, Active neo, Alpha, Avant
    • Samsung Galaxy C5, C7, Core Lite, Core LTE, Core Max Duos, Core Plus, Core Prime, Core, Core2
    • Samsung Galaxy E5, E7, Folder, Go Prime, Golden 2, Grand Duos, Grand Max, Grand Neo Plus, Grand Prime, Grand-Max, J1 Ace, J1 Mini, J1, J2, J3 Pro, J3, J5, J7, K Zoom, Mega 2, Mega 6.3, Mega Plus, Mega2, On5, On7
    • Samsung Galaxy S3 Neo Plus, S3 Neo, S5, S5 Active, S5 Google Play Edition, S5 K Sport, S5 LTE-A, S5 Mini, S5 Neo, S6, S6 Active, S6 Edge, S6 Edge+,S7, S7 Active, S7 Edge, Star2 Plus
    • Samsung Galaxy Tab A 10.1, Tab A 8.0, Tab A 9.7, Tab A S 8.0, Tab E 8.0, Tab E 9.6, Tab Pro 10.1 Chef Collection, Tab Pro 10.1, Tab Pro 12.2, Tab Pro 8.4, Tab Q, Tab S 8.4, Tab S2 8.0, Tab S2 9.7, Tab3 Lite 7.0, Tab3 Lite, Tab4 10.0, Tab4 10.1, Tab4 7.0, Tab4 8.0, Tab4 Active, Tab4 Nook 10.1, Tab4, TabA Plus 10.1, TabS 8.4, TabS 10.5
    • Samsung Galaxy View, W, Win2, Xcover3, Young2 Pro, Young2
    • Samsung GT, J500H/DS, SM-G355H, SM-G9198, W2016

    UPDATE: TAB4 devices have been disabled due to poor performance on these devices. Thank you for your understanding. 

    Out of these Supported devices, the game team has provided a list of Recommended Devices that they are confident will run the game at its maximum efficiency. The list of recommended devices is as follows:

    iOS

    • iPhone 5, 5c, 5s 6, 6+, 6s, 6s+, SE, 7, and 7+
    • iPad Air 2, Pro, Pro 9.7, Air, Mini 3, 3, 4, and Mini 2. 

    Android

    • Nexus 5, 5X, 6, 6P, 7, 9, 10
    • Galaxy Tab S2, 3, 4
    • Galaxy Note 3, 4, 5
    • Galaxy S3, S4, S5, S6, S7, S7 Edge
    Hyperius said:

    While most KIXEYE games simply have a minimum system requirement, Rogue Assault is only supported on specific devices. This is to ensure that the game's performance is on par with the excellence our players expect and the high standard to which we hold it ourselves. A list of all Supported Devices is as follows:

    iOS

    • iPhone 5, 5c, 5s 6, 6+, 6s, 6s+, SE, 7, and 7+
    • iPad Air 2, Pro, Pro 9.7, Air, Mini 3, 3, 4, and Mini 2. 

    Android

    • Pixel
    • Google Nexus 5X, 6, 6P, 9, 9 LTE, Player
    • Samsung Galaxy Note 4, 5, Note 10.1 2014 Edition, Note Edge, Note Pro 12.2, Note 5, Note 7
    • Samsung Galaxy A3, A5, A5x, A7, A8, A9 Pro, A9, Ace 4, Ace Style, Ace4 Lite, Ace4 Neo, Ace4, Active neo, Alpha, Avant
    • Samsung Galaxy C5, C7, Core Lite, Core LTE, Core Max Duos, Core Plus, Core Prime, Core, Core2
    • Samsung Galaxy E5, E7, Folder, Go Prime, Golden 2, Grand Duos, Grand Max, Grand Neo Plus, Grand Prime, Grand-Max, J1 Ace, J1 Mini, J1, J2, J3 Pro, J3, J5, J7, K Zoom, Mega 2, Mega 6.3, Mega Plus, Mega2, On5, On7
    • Samsung Galaxy S3 Neo Plus, S3 Neo, S5, S5 Active, S5 Google Play Edition, S5 K Sport, S5 LTE-A, S5 Mini, S5 Neo, S6, S6 Active, S6 Edge, S6 Edge+,S7, S7 Active, S7 Edge, Star2 Plus
    • Samsung Galaxy Tab A 10.1, Tab A 8.0, Tab A 9.7, Tab A S 8.0, Tab E 8.0, Tab E 9.6, Tab Pro 10.1 Chef Collection, Tab Pro 10.1, Tab Pro 12.2, Tab Pro 8.4, Tab Q, Tab S 8.4, Tab S2 8.0, Tab S2 9.7, Tab3 Lite 7.0, Tab3 Lite, Tab4 10.0, Tab4 10.1, Tab4 7.0, Tab4 8.0, Tab4 Active, Tab4 Nook 10.1, Tab4, TabA Plus 10.1, TabS 8.4, TabS 10.5
    • Samsung Galaxy View, W, Win2, Xcover3, Young2 Pro, Young2
    • Samsung GT, J500H/DS, SM-G355H, SM-G9198, W2016

    UPDATE: TAB4 devices have been disabled due to poor performance on these devices. Thank you for your understanding. 

    Out of these Supported devices, the game team has provided a list of Recommended Devices that they are confident will run the game at its maximum efficiency. The list of recommended devices is as follows:

    iOS

    • iPhone 5, 5c, 5s 6, 6+, 6s, 6s+, SE, 7, and 7+
    • iPad Air 2, Pro, Pro 9.7, Air, Mini 3, 3, 4, and Mini 2. 

    Android

    • Nexus 5, 5X, 6, 6P, 7, 9, 10
    • Galaxy Tab S2, 3, 4
    • Galaxy Note 3, 4, 5
    • Galaxy S3, S4, S5, S6, S7, S7 Edge
    please support to devices oppo a37f please

  • CyberToad
    CyberToad
    WC Mod
    Joined Mar 2015 Posts: 4,468
    Please keep an eye on this list for updates on Android phones and tablets 

    https://warcommander.com/2017/01/05/additional-android-device-support/

    Kixeye Forum/Chat Moderator


    Request Support                           Help Desk                            Cybertoad Chat (Skype)
    Report a Suspected Cheater                           Kixeye Forum Rules                            Report Harassment
  • Daniel. R
    Daniel. R
    Minor Nuisance
    Joined Apr 2014 Posts: 205
    CyberToad said:
    Please keep an eye on this list for updates on Android phones and tablets 

    https://warcommander.com/2017/01/05/additional-android-device-support/
    Thank you for the info, cybertoad
    War Commander Indonesia(WCI)
  • Daniel. R
    Daniel. R
    Minor Nuisance
    Joined Apr 2014 Posts: 205
    What about Samsung galaxy tab 3 Lite Model: SM-T110 Android Version 4.2.2?
    War Commander Indonesia(WCI)
  • Heinrich V Krueger
    Heinrich V Krueger
    Greenhorn
    Joined Jul 2016 Posts: 8
    my phone Lenovo X2-AP,android version 4.4.2,RAM 2Gb,processor MT6595m Octa Core (2Ghz)
    but why is not compatible
    Thanks

  • aaryabhataa
    aaryabhataa
    Incursion Leader
    Joined Apr 2015 Posts: 1,384
    Its working HTC Desire 526 g+ also :)
    1. Access Denied to  Support system ( but spend more than 50$) and invalid or duplicate email while access support and unable to validity with face book and Not receiving password reset email https://www.kixeye.com/forum/discussion/604920/p1




  • Daniel. R
    Daniel. R
    Minor Nuisance
    Joined Apr 2014 Posts: 205
    Kixeye, my phone is no longer galaxy S4. can you make WCRA compatible with my Oppo A37f,please?
    War Commander Indonesia(WCI)
  • Ives Oliveira
    Ives Oliveira
    Greenhorn
    Joined Jan 2017 Posts: 4

    @cangurojack said:
    Please add MOTO G4 :(

    Cadê a versão pro Moto G 4 gente

  • Shrike157
    Shrike157
    Skilled Warrior
    Joined Oct 2016 Posts: 397

    Huawei P9 Lite

    Member of [TM16R] damned - Part of FFF - VIP Rank 1 - Base Level 59

    "Let your plans be dark and impenetrable as night, and when you move, fall like a thunderbolt" -Sun Tzu (The Art of War)
  • Daniel. R
    Daniel. R
    Minor Nuisance
    Joined Apr 2014 Posts: 205
    Oppo A37F
    War Commander Indonesia(WCI)
2
Sign In or Register to comment.